Search Gradle plugins

Version 0.8.10 (latest)

Created 22 February 2019.

Xeno's Default Kotlin Library Settings

Using the plugins DSL:

plugins {
  id "com.xenoterracide.gradle.bundle.kotlin.lib" version "0.8.10"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.com.xenoterracide:gradle-bundle-kotlin-lib:0.8.10"
  }
}

apply plugin: "com.xenoterracide.gradle.bundle.kotlin.lib"

Using the plugins DSL:

plugins {
  id("com.xenoterracide.gradle.bundle.kotlin.lib") version "0.8.10"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.com.xenoterracide:gradle-bundle-kotlin-lib:0.8.10")
  }
}

apply(plugin = "com.xenoterracide.gradle.bundle.kotlin.lib")

Learn how to apply plugins to subprojects